MyGUI: MyGUI::ControllerRepeatClick Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::ControllerRepeatClick Class Reference

`#include <MyGUI_ControllerRepeatClick.h>`

Inheritance diagram for MyGUI::ControllerRepeatClick:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ControllerRepeatClick | RTTIBase
typedef delegates::CMultiDelegate2< Widget *, ControllerItem * > | EventHandle_RepeatClick
Public Types inherited from MyGUI::ControllerItem
typedef RTTIBase | Base
typedef ControllerItem | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ControllerRepeatClick ()
virtual | ~ControllerRepeatClick ()
void | setRepeat (float init, float step)
virtual bool | addTime (Widget *_widget, float _time)
virtual void | prepareItem (Widget *_widget)
virtual void | setProperty (const std::string &_key, const std::string &_value)
Public Member Functions inherited from MyGUI::ControllerItem
template<typename Type >
bool | isType () const
virtual | ~ControllerItem ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ControllerItem
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Data Fields
EventHandle_RepeatClick | eventRepeatClick
Data Fields inherited from MyGUI::ControllerItem
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPreAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventUpdateAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPostAction

## Detailed Description

This controller can be used to repeatedly trigger an event at specific time steps.

Definition at line 21 of file MyGUI_ControllerRepeatClick.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ControllerRepeatClick::Base

Definition at line 24 of file MyGUI_ControllerRepeatClick.h.

## ◆ EventHandle_RepeatClick

typedef delegates::CMultiDelegate2<Widget*, ControllerItem*> MyGUI::ControllerRepeatClick::EventHandle_RepeatClick

Definition at line 40 of file MyGUI_ControllerRepeatClick.h.

## ◆ RTTIBase

typedef ControllerRepeatClick MyGUI::ControllerRepeatClick::RTTIBase

Definition at line 24 of file MyGUI_ControllerRepeatClick.h.

## Constructor & Destructor Documentation

## ◆ ControllerRepeatClick()

MyGUI::ControllerRepeatClick::ControllerRepeatClick | ( |  | ) |

Definition at line 12 of file MyGUI_ControllerRepeatClick.cpp.

## ◆ ~ControllerRepeatClick()

MyGUI::ControllerRepeatClick::~ControllerRepeatClick | ( |  | ) |
| virtual

Definition at line 19 of file MyGUI_ControllerRepeatClick.cpp.

## Member Function Documentation

## ◆ addTime()

bool MyGUI::ControllerRepeatClick::addTime | ( | MyGUI::Widget * | _widget,
|  | float | _time
| ) |  |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 23 of file MyGUI_ControllerRepeatClick.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ControllerRepeatClick::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 24 of file MyGUI_ControllerRepeatClick.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ControllerRepeatClick::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ControllerItem.

Definition at line 24 of file MyGUI_ControllerRepeatClick.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ControllerRepeatClick::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 24 of file MyGUI_ControllerRepeatClick.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ControllerRepeatClick::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ControllerItem.

Definition at line 24 of file MyGUI_ControllerRepeatClick.h.

## ◆ prepareItem()

void MyGUI::ControllerRepeatClick::prepareItem | ( | MyGUI::Widget * | _widget | ) |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 50 of file MyGUI_ControllerRepeatClick.cpp.

## ◆ setProperty()

void MyGUI::ControllerRepeatClick::setProperty | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| virtual

Reimplemented from MyGUI::ControllerItem.

Definition at line 46 of file MyGUI_ControllerRepeatClick.cpp.

## ◆ setRepeat()

void MyGUI::ControllerRepeatClick::setRepeat | ( | float | init,
|  | float | step
| ) |  |

Change initial delay and time step

Parameters

  init | The delay before the first event will be triggered.
  step | The delay after each event before the next event is triggered.

Definition at line 40 of file MyGUI_ControllerRepeatClick.cpp.

## Field Documentation

## ◆ eventRepeatClick

EventHandle_RepeatClick MyGUI::ControllerRepeatClick::eventRepeatClick

Event : Repeat Click.
signature : void method(MyGUI::Widget* _sender, MyGUI::ControllerItem *_controller)

Definition at line 45 of file MyGUI_ControllerRepeatClick.h.

The documentation for this class was generated from the following files:

- MyGUI_ControllerRepeatClick.h
- MyGUI_ControllerRepeatClick.cpp